Author Topic: Outdated Driver Issues  (Read 3165 times)

Hi,

Whenever I open Substance Painter 2, I get a popup message that reads "Substance Painter is running on your GeForce 970/PCIe/SSE2 GPU. It looks like the driver of your GPU is outdated". I'm not sure what this entails, whether I should get a better GPU or do something else.


Simply updating your driver to the latest version on the NVidia website should do the trick.